Bug 1130888 - Renaming file while rebalance is in progress causes data loss
Summary: Renaming file while rebalance is in progress causes data loss
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: distribute
Version: mainline
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
Assignee: Nithya Balachandran
QA Contact:
URL:
Whiteboard:
Depends On: 969298
Blocks: 987422 1138395 1139998 1140348 1146895 1286059
TreeView+ depends on / blocked
 
Reported: 2014-08-18 07:01 UTC by Nithya Balachandran
Modified: 2015-11-27 10:26 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.7.0
Doc Type: Bug Fix
Doc Text:
Clone Of: 969298
: 1138395 1139998 1140348 (view as bug list)
Environment:
Last Closed: 2015-05-14 17:27:09 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Comment 1 Anand Avati 2014-08-18 07:11:01 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#12) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 2 Anand Avati 2014-08-18 07:11:06 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#4) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 3 Anand Avati 2014-08-18 07:11:10 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#3) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 4 Anand Avati 2014-08-18 11:41:09 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#13) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 5 Anand Avati 2014-08-18 11:41:15 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#5) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 6 Anand Avati 2014-08-18 11:41:25 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#4) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 7 Anand Avati 2014-08-18 12:09:57 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#14) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 8 Anand Avati 2014-08-18 12:10:02 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#6) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 9 Anand Avati 2014-08-18 12:10:08 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#5) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 10 Anand Avati 2014-08-19 06:53:04 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#15) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 11 Anand Avati 2014-08-19 06:53:13 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#7) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 12 Anand Avati 2014-08-19 06:53:17 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#6) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 13 Anand Avati 2014-08-19 08:23:40 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#16) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 14 Anand Avati 2014-08-19 08:23:45 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#8) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 15 Anand Avati 2014-08-19 08:23:49 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#7) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 16 Anand Avati 2014-08-19 10:15:34 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#17) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 17 Anand Avati 2014-08-19 10:15:41 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#9) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 18 Anand Avati 2014-08-19 10:15:46 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#8) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 19 Anand Avati 2014-08-20 05:43:01 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#18) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 20 Anand Avati 2014-08-20 05:43:11 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#10) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 21 Anand Avati 2014-08-20 05:43:16 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#9) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 22 Anand Avati 2014-08-20 05:53:28 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#19) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 23 Anand Avati 2014-08-20 05:53:34 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#11) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 24 Anand Avati 2014-08-20 05:53:40 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#10) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 25 Anand Avati 2014-08-20 11:16:02 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#20) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 26 Anand Avati 2014-08-20 11:16:10 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#12) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 27 Anand Avati 2014-08-20 11:16:15 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#11) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 28 Anand Avati 2014-08-20 11:54:57 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#21) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 29 Anand Avati 2014-08-20 11:55:02 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#13) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 30 Anand Avati 2014-08-20 11:55:07 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#12) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 31 Anand Avati 2014-08-21 11:52:00 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#22) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 32 Anand Avati 2014-08-21 11:52:04 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#14) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 33 Anand Avati 2014-08-21 11:52:07 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#13) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 34 Anand Avati 2014-08-21 16:07:19 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#23) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 35 Anand Avati 2014-08-21 16:07:23 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#15) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 36 Anand Avati 2014-08-21 16:07:26 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#14) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 37 Anand Avati 2014-08-22 04:05:37 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#24) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 38 Anand Avati 2014-08-22 04:05:41 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#16) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 39 Anand Avati 2014-08-22 04:05:44 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#15) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 40 Anand Avati 2014-08-22 09:48:26 UTC
REVIEW: http://review.gluster.org/8516 (Cluster/DHT : Additional log messages) posted (#1) for review on master by N Balachandran (nbalacha@redhat.com)

Comment 41 Anand Avati 2014-08-22 13:05:36 UTC
REVIEW: http://review.gluster.org/8453 (cluster/dht: introduce locking api.) posted (#25) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 42 Anand Avati 2014-08-22 13:05:40 UTC
REVIEW: http://review.gluster.org/8484 (libglusterfs/syncop: implement inodelk) posted (#17) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 43 Anand Avati 2014-08-22 13:05:43 UTC
REVIEW: http://review.gluster.org/8485 (cluster/dht: synchronize rename and file-migration) posted (#16) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 44 Anand Avati 2014-08-25 02:44:02 UTC
REVIEW: http://review.gluster.org/8521 (cluster/dht: introduce locking api.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 45 Anand Avati 2014-08-25 02:44:06 UTC
REVIEW: http://review.gluster.org/8522 (libglusterfs/syncop: implement inodelk) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 46 Anand Avati 2014-08-25 02:44:09 UTC
REVIEW: http://review.gluster.org/8523 (cluster/dht: synchronize rename and file-migration) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 47 Anand Avati 2014-08-25 04:55:28 UTC
COMMIT: http://review.gluster.org/8516 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 3f019874a4726d4b2df7c8e81581b9bed5caeb93
Author: Nithya Balachandran <nbalacha@redhat.com>
Date:   Fri Aug 22 15:16:40 2014 +0530

    Cluster/DHT : Additional log messages
    
    Adding log messages in the rename and lookup calls to
    help with debugging.
    
    Change-Id: I13b1c6f98fb49ead45362550c46359ab1f9028c0
    BUG: 1130888
    Signed-off-by: Nithya Balachandran <nbalacha@redhat.com>
    Reviewed-on: http://review.gluster.org/8516
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>

Comment 48 Anand Avati 2014-08-25 06:30:59 UTC
REVIEW: http://review.gluster.org/8521 (cluster/dht: introduce locking api.) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 49 Anand Avati 2014-08-25 06:31:09 UTC
REVIEW: http://review.gluster.org/8522 (libglusterfs/syncop: implement inodelk) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 50 Anand Avati 2014-08-25 06:31:17 UTC
REVIEW: http://review.gluster.org/8523 (cluster/dht: synchronize rename and file-migration) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 51 Anand Avati 2014-08-25 11:32:20 UTC
REVIEW: http://review.gluster.org/8521 (cluster/dht: introduce locking api.) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 52 Anand Avati 2014-08-25 11:32:23 UTC
REVIEW: http://review.gluster.org/8522 (libglusterfs/syncop: implement inodelk) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 53 Anand Avati 2014-08-25 11:32:26 UTC
REVIEW: http://review.gluster.org/8523 (cluster/dht: synchronize rename and file-migration) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 54 Anand Avati 2014-08-26 06:23:19 UTC
REVIEW: http://review.gluster.org/8521 (cluster/dht: introduce locking api.) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 55 Anand Avati 2014-08-26 06:23:23 UTC
REVIEW: http://review.gluster.org/8522 (libglusterfs/syncop: implement inodelk) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 56 Anand Avati 2014-08-26 06:23:26 UTC
REVIEW: http://review.gluster.org/8523 (cluster/dht: synchronize rename and file-migration) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 57 Anand Avati 2014-08-26 11:56:32 UTC
COMMIT: http://review.gluster.org/8521 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit a1fe3d72e373bf0deaed152842d12d94bb9129dc
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Mon Aug 11 10:14:18 2014 +0530

    cluster/dht: introduce locking api.
    
    Change-Id: I41389ba91951d3e63e617aa32cd0bee848261c72
    BUG: 1130888
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/8521
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 58 Anand Avati 2014-08-26 11:57:25 UTC
COMMIT: http://review.gluster.org/8522 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 172100209e531e94168d0974bfb0995704d9dddd
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Thu Aug 14 16:44:23 2014 +0530

    libglusterfs/syncop: implement inodelk
    
    Change-Id: Iea489157490b70cb2bb03576b0d4943c6d8f052d
    BUG: 1130888
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/8522
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 59 Anand Avati 2014-08-26 21:59:15 UTC
REVIEW: http://review.gluster.org/8547 (dht: Avoid using inline, if necessary use it with 'static inline') posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 60 Anand Avati 2014-08-27 06:33:58 UTC
REVIEW: http://review.gluster.org/8523 (cluster/dht: synchronize rename and file-migration) posted (#5) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 61 Anand Avati 2014-08-27 06:34:02 UTC
REVIEW: http://review.gluster.org/8548 (cluster/dht: remove specifying cached-subvol as part of name in unlink.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 62 Anand Avati 2014-08-27 06:34:06 UTC
REVIEW: http://review.gluster.org/8549 (cluster/dht: invoke callback when there are no locks to be unlocked.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 63 Anand Avati 2014-08-27 06:34:09 UTC
REVIEW: http://review.gluster.org/8550 (cluster/dht: synchronize unlink and rename on an inode.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 64 Anand Avati 2014-08-28 07:20:15 UTC
REVIEW: http://review.gluster.org/8549 (cluster/dht: invoke callback when there are no locks to be unlocked.) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 65 Anand Avati 2014-08-28 07:20:18 UTC
REVIEW: http://review.gluster.org/8523 (cluster/dht: synchronize rename and file-migration) posted (#6) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 66 Anand Avati 2014-08-28 09:48:44 UTC
COMMIT: http://review.gluster.org/8549 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit a1b02e53a5fdf706290ce143fbbf8a09845105d0
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Wed Aug 27 11:27:33 2014 +0530

    cluster/dht: invoke callback when there are no locks to be unlocked.
    
    Change-Id: I375cb68f1075c2d58cf9d09ed6bd5e2746e1637d
    BUG: 1130888
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/8549
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: N Balachandran <nbalacha@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 67 Anand Avati 2014-08-28 10:30:03 UTC
COMMIT: http://review.gluster.org/8523 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 21c8946b0bc05d0bc8f84906e16b8c2cbca4c9f9
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Thu Aug 21 21:35:52 2014 +0530

    cluster/dht: synchronize rename and file-migration
    
    Change-Id: I4f243c946f76d440680b651235f925e3d0ebf0fd
    BUG: 1130888
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/8523
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 68 Anand Avati 2014-08-29 04:45:57 UTC
REVIEW: http://review.gluster.org/8563 (cluster/dht: Treat linkto file rename failure as non-critial error) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 69 Anand Avati 2014-08-29 09:11:38 UTC
COMMIT: http://review.gluster.org/8547 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 04be6a47df5c7d5c04c84fed06df9a8a1652c582
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Tue Aug 26 14:57:42 2014 -0700

    dht: Avoid using inline, if necessary use it with 'static inline'
    
    This avoids flat namespace problems on OSX and with clang
    
    Change-Id: Id80d94d71b120c6b1166218caa8cf9cf7f2da03a
    BUG: 1130888
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8547
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 70 Anand Avati 2014-08-30 11:15:31 UTC
REVIEW: http://review.gluster.org/8563 (cluster/dht: Treat linkto file rename failure as non-critial error) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 71 Anand Avati 2014-08-30 11:15:36 UTC
REVIEW: http://review.gluster.org/8569 (USS: initialize a list before using it.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 72 Anand Avati 2014-08-30 11:15:39 UTC
REVIEW: http://review.gluster.org/8570 (cluster/dht: Rename should not fail post hardlink creation) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 73 Anand Avati 2014-08-30 14:29:20 UTC
REVIEW: http://review.gluster.org/8563 (cluster/dht: Treat linkto file rename failure as non-critial error) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 74 Anand Avati 2014-08-30 14:29:24 UTC
REVIEW: http://review.gluster.org/8570 (cluster/dht: Rename should not fail post hardlink creation) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 75 Anand Avati 2014-08-30 14:29:27 UTC
REVIEW: http://review.gluster.org/8569 (USS: initialize a list before using it.) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 76 Anand Avati 2014-09-01 10:24:30 UTC
REVIEW: http://review.gluster.org/8563 (cluster/dht: Treat linkto file rename failure as non-critial error) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 77 Anand Avati 2014-09-01 10:24:35 UTC
REVIEW: http://review.gluster.org/8570 (cluster/dht: Rename should not fail post hardlink creation) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 78 Anand Avati 2014-09-01 10:24:39 UTC
REVIEW: http://review.gluster.org/8569 (USS: initialize a list before using it.) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 79 Anand Avati 2014-09-02 15:11:32 UTC
REVIEW: http://review.gluster.org/8563 (cluster/dht: Treat linkto file rename failure as non-critial error) posted (#5) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 80 Anand Avati 2014-09-02 15:11:35 UTC
REVIEW: http://review.gluster.org/8570 (cluster/dht: Rename should not fail post hardlink creation) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 81 Anand Avati 2014-09-02 15:11:45 UTC
REVIEW: http://review.gluster.org/8569 (USS: initialize a list before using it.) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 82 Anand Avati 2014-09-02 16:42:32 UTC
REVIEW: http://review.gluster.org/8563 (cluster/dht: Treat linkto file rename failure as non-critial error) posted (#6) for review on master by Shyamsundar Ranganathan (srangana@redhat.com)

Comment 83 Anand Avati 2014-09-02 16:42:36 UTC
REVIEW: http://review.gluster.org/8570 (cluster/dht: Rename should not fail post hardlink creation) posted (#5) for review on master by Shyamsundar Ranganathan (srangana@redhat.com)

Comment 84 Anand Avati 2014-09-02 18:14:46 UTC
COMMIT: http://review.gluster.org/8569 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2b7a2d2c21e2329828c27e6f9556ea8d9d512021
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Sat Aug 30 16:33:59 2014 +0530

    USS: initialize a list before using it.
    
    Change-Id: Iba35e4397646a67384e878fbe7bdfb7586fc07f9
    BUG: 1130888
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/8569
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 85 Anand Avati 2014-09-02 18:27:27 UTC
COMMIT: http://review.gluster.org/8563 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 890ab583a519b3b189a61c5fd563b4326836b988
Author: Shyam <srangana@redhat.com>
Date:   Wed Aug 27 15:27:46 2014 -0400

    cluster/dht: Treat linkto file rename failure as non-critial error
    
    It is a critical failure iff we fail to rename the cached file
    if the rename of the linkto failed, it is not a critical failure,
    and we do not want to lose the created hard link for the new
    name as that could have been read by other clients.
    
    NOTE: If another client is attempting the same oldname -> newname
    rename, and finds both file names as existing, and are hard links
    to each other, then FUSE would send in an unlink for oldname. In
    this time duration if we treat the linkto as a critical error and
    unlink the newname we created, we would have effectively lost the
    file to rename operations.
    
    Repercussions of treating this as a non-critical error is that
    we could leave behind a stale linkto file and/or not create the new
    linkto file, the second case would be rectified by a subsequent
    lookup, the first case by a rebalance, like for all stale linkto
    files
    
    Change-Id: Ia53ad8b43c3cf8f48ef5b43fd1fec4274e807556
    BUG: 1130888
    Signed-off-by: Shyam <srangana@redhat.com>
    Reviewed-on: http://review.gluster.org/8563
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 86 Anand Avati 2014-09-02 18:46:13 UTC
COMMIT: http://review.gluster.org/8570 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 4ce3db8e508e715a43352b082e861fd0e729951f
Author: Shyam <srangana@redhat.com>
Date:   Fri Aug 29 15:20:40 2014 -0400

    cluster/dht: Rename should not fail post hardlink creation
    
    In the rename path, we wind the creation of newname hardlink and
    linkto file in dst hashed a the same time. If the linkto creation
    fails, but the link creation succeeds, we enter the failure code
    and cleanup the created newname hardlink.
    
    In the interim if another client looks up newname and finds it as
    a hardlink from FUSE, it could send an unlink for oldname instead
    of a rename. This combined with the above cleanup code could end
    up losing all the files copies, and thereby losing data.
    
    This fix separates these steps into 2 parts, creating the linkto
    first and then the link file, so that post link file creation no
    failures would cleanup the newname file. If linkto fails then link
    is not attempted, thereby not polluting the name space with
    newname.
    
    Change-Id: I61da8e906060da16a31ea1076eec2f01fd617f44
    BUG: 1130888
    Signed-off-by: Shyam <srangana@redhat.com>
    Reviewed-on: http://review.gluster.org/8570
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 87 Anand Avati 2014-09-02 18:49:57 UTC
COMMIT: http://review.gluster.org/8548 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit a12cf2dedb98b115812163361846b02f8adc8353
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Wed Aug 27 10:47:24 2014 +0530

    cluster/dht: remove specifying cached-subvol as part of name in
    unlink.
    
    commit 667b2496c3f29e24ed359a05b0f44df0d1894969 introduced a
    functionality where we can specify the subvol where file is stored. As
    part of same commit, dht_unlink was also changed to accept
    cached-subvol as part of name. While it makes sense to specify subvol
    while creating file, there is no necessity for specifying the subvol
    during unlink, since the default unlink logic works fine with this
    functionality too. Also, this code in unlink doesn't work well when
    files get migrated by rebalance process. Hence removing it.
    
    Change-Id: Ic3fc32ad657e2dcd677a4c80b04a618029eddd89
    BUG: 1130888
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/8548
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 88 Anand Avati 2014-09-03 05:17:29 UTC
REVIEW: http://review.gluster.org/8582 (Cluster/DHT: Changing rename log severity) posted (#1) for review on master by N Balachandran (nbalacha@redhat.com)

Comment 89 Anand Avati 2014-09-03 08:41:48 UTC
COMMIT: http://review.gluster.org/8582 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit c087e5f634a0b2262118d61ab9c1d5c8e18c8819
Author: Nithya Balachandran <nbalacha@redhat.com>
Date:   Wed Sep 3 10:42:47 2014 +0530

    Cluster/DHT: Changing rename log severity
    
    Changing log level for a rename message from debug
    to info to improve debuggability
    
    Change-Id: I53031fcf97fffd62095692477330ecde0cf47dcd
    BUG: 1130888
    Signed-off-by: Nithya Balachandran <nbalacha@redhat.com>
    Reviewed-on: http://review.gluster.org/8582
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 90 Anand Avati 2014-09-04 18:35:48 UTC
REVIEW: http://review.gluster.org/8601 (syncop: Invoke dict_unref() in inodelk only if dictionary is not NULL) posted (#1) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 91 Anand Avati 2014-09-04 18:38:16 UTC
REVIEW: http://review.gluster.org/8601 (syncop: Invoke dict_unref() in inodelk only if dictionary is not NULL) posted (#2) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 92 Anand Avati 2014-09-17 14:13:59 UTC
COMMIT: http://review.gluster.org/8601 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 331e9e2051addfcc394c933a85046f450961e1af
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Thu Sep 4 23:58:18 2014 +0530

    syncop: Invoke dict_unref() in inodelk only if dictionary is not NULL
    
    In the absence of this check, logs can get flooded with messages like this when rebalance is run:
    
    [2014-09-04 17:48:07.148262] W [dict.c:480:dict_unref] (-->/lib64/libc.so.6()
    [0x30daa47a00] (-->/usr/local/lib/libglusterfs.so.0(synctask_wrap+0x12)
    [0x7fa20b7c6ec2]
    (-->/usr/local/lib/glusterfs/3.7dev/xlator/cluster/distribute.so(dht_migrate_file+0x23f)
    [0x7fa200fdb58f]))) 0-dict: dict is NULL
    
    
    Change-Id: I4c93e4485293b35d86ba07df4d583d2758ec3f49
    BUG: 1130888
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/8601
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>

Comment 93 Niels de Vos 2015-05-14 17:27:09 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 94 Niels de Vos 2015-05-14 17:35:32 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 95 Niels de Vos 2015-05-14 17:37:54 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 96 Niels de Vos 2015-05-14 17:43:18 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.